Перейти к основному содержимому

Начало работы

На этой странице описано, как начать работу с компонентом SVAR React Editor в приложении на React.

Шаг 1. Установка пакетов

Установите пакет редактора и основную библиотеку UI, обеспечивающую тему:

npm install @svar-ui/react-core
npm install @svar-ui/react-editor

Или с помощью yarn:

yarn add @svar-ui/react-core
yarn add @svar-ui/react-editor

Шаг 2. Инициализация редактора

Импортируйте компонент Editor и оберните его в тему Willow для применения стилей по умолчанию:

import { Willow } from '@svar-ui/react-core';
import { Editor } from '@svar-ui/react-editor';
import "@svar-ui/react-editor/all.css";

export default function App() {
return (
<Willow>
<Editor />
</Willow>
);
}

Willow добавляет необходимые стили для всех виджетов SVAR. Размещайте его на верхнем уровне приложения. Без него у Editor не будет стилей и их потребуется добавить вручную.

Шаг 3. Добавление полей формы

Чтобы отобразить реальную форму, передайте в редактор массив items (определения полей) и объект values (начальные данные):

import { Willow } from '@svar-ui/react-core';
import { Editor } from '@svar-ui/react-editor';
import "@svar-ui/react-editor/all.css";

const items = [
{ comp: "text", key: "name", label: "Name" },
{ comp: "text", key: "descr", label: "Description" },
{ comp: "text", key: "role", label: "Role" }
];

const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
role: "admin"
};

export default function App() {
return (
<Willow>
<Editor items={items} values={values} />
</Willow>
);
}

Каждый элемент массива items определяет поле: comp задаёт тип элемента управления, key связывает его с соответствующим значением в объекте values, а label задаёт отображаемый текст.

примечание

Для корректной инициализации рекомендуется применять тему на верхнем уровне приложения. Если вы используете компонент Editor отдельно, не забудьте обернуть его в тему (в примере выше применяется тема Willow).

Что дальше

Теперь у вас есть рабочий редактор с полями формы. Отсюда вы можете настроить режимы отображения, добавить валидацию, изменить панель инструментов или переключиться на тёмную тему.

Перейти к основному содержимому

Начало работы

Первые шаги

Чтобы начать работу с виджетом, добавьте необходимые пакеты в проект.

npm install @svar-ui/vue-core
npm install @svar-ui/vue-editor

или

yarn add @svar-ui/vue-core
yarn add @svar-ui/vue-editor

Импортируйте виджет в проект. Чтобы все элементы отображались корректно, импортируйте тему и стили.

<script setup>
import { Willow } from '@svar-ui/vue-core'; //import theme
import { Editor } from '@svar-ui/vue-editor';
import "@svar-ui/vue-editor/all.css"; //import styles
</script>

<template>
<Willow>
<Editor />
</Willow>
</template>

Компонент Willow выступает в роли обёртки темы по умолчанию, которая добавляет необходимые стили для всех виджетов SVAR. Компонент Editor может работать без него, однако в этом случае стили применяться не будут и их потребуется добавить вручную. Рекомендуется размещать тег Willow на верхнем уровне приложения.

Полный код инициализации

Чтобы увидеть виджет в действии, добавьте в него несколько элементов.

<script setup>
import { Editor, Willow } from "@svar-ui/vue-editor";
import "@svar-ui/vue-editor/all.css"; //import styles

const items = [
{ comp: "text", key: "name", label: "Name" },
{ comp: "text", key: "descr", label: "Description" },
{ comp: "text", key: "role", label: "Role" }
];

const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
role: "admin"
};
</script>

<template>
<Willow>
<Editor :items="items" :values="values" />
</Willow>
</template>
примечание

Для корректной инициализации рекомендуется применять тему на верхнем уровне приложения. Если вы используете компонент Editor самостоятельно, не забудьте обернуть его в тему (в приведённом примере применяется тема Willow).


Связанные статьи: